Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 597986 - Owner should be able to take back a loaned machine
Owner should be able to take back a loaned machine
Status: CLOSED NOTABUG
Product: Beaker
Classification: Community
Component: inventory (Show other bugs)
0.5
All Linux
high Severity medium (vote)
: future_maint
: ---
Assigned To: Raymond Mancy
Petr Šplíchal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-31 03:33 EDT by Petr Šplíchal
Modified: 2016-05-31 21:39 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-17 05:48:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Šplíchal 2010-05-31 03:33:19 EDT
Description of problem:

If the owner of a machine loans it to a user who then takes it,
it's not possible for the owner to take the machine back.

Version-Release number of selected component (if applicable):
Version - 0.5.40 

Steps to Reproduce:
1. owner loans to a user
2. user takes
3. owner clicks "returns loan"
  
Actual results:
Machine still belongs to user, no "take" or "return" link
available, owner cannot reboot/provision...

Expected results:
The owner can take the loaned machine back and do whatever he
needs to do with it.

Additional info:
Or, if that's expected behavior, this should be well documented.
Comment 1 Raymond Mancy 2010-08-11 21:45:36 EDT
I can't replicated this on my devel env. 
Can you double check that this behaviour exists on the current version of beaker?

Thanks.
Comment 2 Petr Šplíchal 2010-08-17 05:48:16 EDT
I've checked the behavior and can confirm that it now works fine.
Thanks for the fix! ;-)

Note You need to log in before you can comment on or make changes to this bug.